Author: Ingo Pfennigstorf Category: Install Tool
Updated: 2013-10-01 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: Make Install Tool section "All Configuration" more user friendly
Description

When editing something in the Install Tool section "All Configuration" you have to scroll down to the very bottom to apply your
changes (or press enter).

This change positions the submit fieldset / button fixed on the right side, so that it is visible all the time and changes can be applied
without extensive scrolling.

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Feature # 50910: Fixed Container for Selection menu ion the... Resolved 2013-08-08
related to TYPO3 CMS Usability Team - Feature # 52087: Install Tool > All Con... Resolved 2013-09-17

Associated revisions
Revision c3b73ce4 - 2013-10-01 18:12 - Ernesto Baschny

[FEATURE][UX] Install Tool usability and visual enhancements

    -  Restyle toggle-groups with a more t3skin-like visual.
    -  Restyle "All configuration":  * no more "green success boxes" per item, but instead

    alternating background.  * no more horizontal rulers in between.  * Clicking in the explanatory text in some item will focus the
    corresponding input-field.

    -  Submit buttons in "All Configuration" and "Configuration
  Presets" are now always visible due to them sticking to the
  bottom of the scrollable area.

    -  Use CSS3 gradients in buttons instead of background images.

Related: #52087
Resolves: #38701
Releases: 6.2
Change-Id: I1abfb42273bcb9f60c3feef9fcfbb411585c63bf
Reviewed-on: https://review.typo3.org/24187
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2012-07-06 11:03 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12660

#2 - 2012-07-06 12:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12660

#3 - 2012-07-06 12:18 - Wouter Wolters
- File 6-7-2012_12-17-18.png added

See attached image. This is in the backend view

#4 - 2012-07-06 12:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12660

#5 - 2012-07-06 13:36 - Ingo Pfennigstorf

Checked in Chrome and Firefox. Looks good (Patch Set 3).

Just checked IE 8 and IE 9 - both look good

#6 - 2012-07-06 15:31 - Ingo Renner

Wouldn't it make more sense to put the button under the menu on the left and make the (already existing) groups act like accordions? :)

#7 - 2012-07-06 15:34 - Steffen Ritter

Ingo Renner wrote:

Wouldn't it make more sense to put the button under the menu on the left and make the (already existing) groups act like accordions? :)

I would only show the button when sth. changed...

btw:
you just might hit enter?

#8 - 2012-07-06 15:37 - Ingo Pfennigstorf

Steffen Ritter wrote:
btw:
you just might hit enter?

That's what I wrote above ;) So there is no real need for the button? :)

Accordions are so 2008 imho and slow down editing and finding the desired parameter

#9 - 2012-07-06 15:41 - Ingo Pfennigstorf
- File left.png added

Ingo Renner wrote:

Wouldn't it make more sense to put the button under the menu on the left

don't know. What do you think (see attached screenshot)

#10 - 2012-07-06 15:49 - Ingo Pfennigstorf
- File bothfixed.png added

Or what about both fixed on the left side (bothfixed.png)

#11 - 2012-07-06 15:56 - Ingo Renner

Ingo Pfennigstorf wrote:

Or what about both fixed on the left side (bothfixed.png)

works, too. Just change the label to "Save" to not make the icon wrap into the next line.

#12 - 2012-07-06 15:57 - Ingo Renner

Ingo Pfennigstorf wrote:

Accordions are so 2008 imho and slow down editing and finding the desired parameter

IMO they totally make sense here. I agree with the fundability thing though. Therefore we could simply add a button to expand all at once.

#13 - 2012-07-06 16:16 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12660
#14 - 2012-07-06 16:55 - Jens Hoffmann

I think a "normal" way should be provided - Enter is no real solution. Imagine a Mobile device.
I think it should be a sticker BTN at the Top - like in all other Areas of TYPO3 - where you "save" something.

Greez Jens 
TYPO3 Usability Team Leader

#15 - 2012-11-20 11:24 - Ingo Pfennigstorf

Should we maybe close this issue and create a new one in Usability project? I will than abandon my patch

#16 - 2013-07-19 19:56 - Wouter Wolters
- Status changed from Under Review to Closed

Abandoned, there is a new Install Tool

#17 - 2013-09-12 23:06 - Christian Kuhn
- Status changed from Closed to New

re-opened.

#18 - 2013-09-12 23:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23799

#19 - 2013-09-16 23:21 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23799

#20 - 2013-09-16 23:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23799

#21 - 2013-09-27 11:44 - Ernesto Baschny
- Assigned To changed from Ingo Pfennigstorf to Ernesto Baschny
- Target version set to 6.2.0
There is some outcome from the UX team: #52087

My suggestion (displayed in the screenshots there) will be shortly ready as a review request here and then you can take a look. :)

#22 - 2013-09-30 22:51 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24187

#23 - 2013-09-30 23:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24187

#24 - 2013-09-30 23:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24187

#25 - 2013-10-01 11:04 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24187

#26 - 2013-10-01 15:24 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24187

#27 - 2013-10-01 18:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c3b73ce4086e9f8da790fd23a8baaf83b736e655.
